Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454775 - Move Partner Create Case Entitlement out of Legacy Entitlements
Summary: Move Partner Create Case Entitlement out of Legacy Entitlements
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Integration-Red Hat
Version: 1.3.8
Hardware: All
OS: All
low
low
Target Milestone: ---
: ---
Assignee: JBoss CSP Bug Watch List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 487338
TreeView+ depends on / blocked
 
Reported: 2008-07-09 21:40 UTC by Mike Amburn
Modified: 2011-01-31 17:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 487338 (view as bug list)
Environment:
Last Closed: 2011-01-31 17:40:27 UTC
Type: ---


Attachments (Terms of Use)

Description Mike Amburn 2008-07-09 21:40:08 UTC
This addresses the current feature that allows partners to enter a case on
behalf of a customer. This is currently made available via a legacy entitlement
called Partner Case Management.

Rather than permission them individually via legacy entitlements, suggested
solution is to move this to group level permissions in I-T db.
Allow a group to be designated as a "Partner" via the I-T UI, and then associate
them to customer groups by adding those Customers to that Group.
Allow logins to be created for the Partner employees that would allow the
Partner to login to the CSP and open a case on behalf of the customer.
Allow logins for the Partner employees to view and update cases inside of Issue
Tracker UI.
Add tiers to comment permissions so that instead of public/private we have
customer visible/partner&customer visible/partner & RH visible/RH only
Any case created by the customer via their own login would be visible to the
partner.
Cases created by the partner on their own but not on behalf of a customer should
not be visible to the customer(s).
Partner logins should be able to subscribe to events for any customer case.

----

Moved from Jira (JBNET-2391)

Comment 1 Nathan Lugert 2009-09-15 20:18:23 UTC
Currently the way the CSP does partner cases is if a user has the legacy partner create case entitlement they can manage cases where they are part of the group using the group_users table.

Comment 3 David Spalding 2011-01-31 17:40:27 UTC
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.

Comment 4 David Spalding 2011-01-31 17:48:19 UTC
Bugs are no longer tracked under this classification. CSP is now monitored in 
Other | Customer Portal | Integrated app: JBoss CSP. 

Please refile any current defect records or RFEs under the current 
classification.


Note You need to log in before you can comment on or make changes to this bug.